# azure.mgmt.scheduler package

## Submodules

- azure.mgmt.scheduler.models module
- azure.mgmt.scheduler.operations module

## Module contents

class `azure.mgmt.scheduler.``SchedulerManagementClient`(credentials, subscription_id, api_version='2016-03-01', accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  Variables:

  - config (SchedulerManagementClientConfiguration) – Configuration for client.
  - job_collections (operations.JobCollectionsOperations) – JobCollections operations
  - jobs (operations.JobsOperations) – Jobs operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The subscription id.
  - api_version (str) – The API version.
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config